/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.shared.model;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class GaugeInfoResultImpl implements GaugeInfoResult {

    private static final long serialVersionUID = 1L;

    GaugeInfoObject[] gauges; // NO LIST, SERIALIZE-Problem// = new ArrayList<GaugeInfoObject>();

    String globalErrorMsg;

    public GaugeInfoResultImpl() {

    }

    public GaugeInfoResultImpl(final String globalErrorMsg, final GaugeInfoObject[] gauges) {
        this.globalErrorMsg = globalErrorMsg;
        this.gauges = gauges;
    }

    @Override
    public String getGlobalErrorMsg() {

        return this.globalErrorMsg;
    }

    @Override
    public GaugeInfoObject[] getGaugeInfoObjects() {

        return this.gauges;
    }

}
